{"openapi":"3.0.0","info":{"version":"v1","title":"3d48ce8c-d301-4aa9-ad46-8eac29bb3f80","description":""},"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"responses":{"UnauthorizedError":{"description":"Authentication information is missing or invalid.","headers":{"WWW_Authenticate":{"schema":{"type":"string"}}}},"NotFoundError":{"description":"The requested resource was not found."},"UnexpectedError":{"description":"Unexpected Error."},"BadRequestError":{"description":"Bad request."}}},"security":[{"basicAuth":[]}],"paths":{"/pass-member/{pass-member-barcode}/":{"get":{"description":"Retrieve pass member info for a pass member barcode.","tags":["Pass Member"],"parameters":[{"in":"path","name":"pass-member-barcode","required":true,"schema":{"type":"string","minimum":1},"description":"The pass member barcode."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"first-name":{"type":"string","description":"Pass member first name"},"pass-info":{"type":"object","properties":{"product":{"type":"string","description":"Pass member product; Annual Pass: Silver, Gold, and Platinum, California Neighbor Pass, Season Pass, etc."},"active_to":{"type":"string","description":"Pass is active until this date"},"status":{"type":"string","description":"Pass current status: ACTIVE, EXPIRED"},"black_out_calendar_id":{"type":"string","description":"Pass member black-out calendar id, e.g. 2019G"}}}}}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"404":{"description":"Pass member barcode was invalid."},"5XX":{"$ref":"#/components/responses/UnexpectedError"}}}}}}